NAME
OpenAPI::Client::OpenAI::Path::organization-projects-project_id-service_accounts-service_account_id - Documentation for the /organization/projects/{project_id}/service_accounts/{service_account_id} path.
OPERATIONS
DELETE /organization/projects/{project_id}/service_accounts/{service_account_id}
delete-project-service-account
$client->delete_project_service_account({
body => { ... },
});
Deletes a service account from the project.
Returns confirmation of service account deletion, or an error if the project is archived (archived projects have no service accounts).
Path/query parameters
project_id(in path, required, string) - The ID of the project.service_account_id(in path, required, string) - The ID of the service account.
Responses
200 - Project service account deleted successfully.
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "organization.project.service_account.deleted"
}
GET /organization/projects/{project_id}/service_accounts/{service_account_id}
retrieve-project-service-account
$client->retrieve_project_service_account({
body => { ... },
});
Retrieves a service account in the project.
Path/query parameters
project_id(in path, required, string) - The ID of the project.service_account_id(in path, required, string) - The ID of the service account.
Responses
200 - Project service account retrieved successfully.
Content-Type: application/json
Example:
{
"created_at" : 1711471533,
"id" : "svc_acct_abc",
"name" : "Service Account",
"object" : "organization.project.service_account",
"role" : "owner"
}
POST /organization/projects/{project_id}/service_accounts/{service_account_id}
update-project-service-account
$client->update_project_service_account({
body => { ... },
});
Updates a service account in the project.
Path/query parameters
project_id(in path, required, string) - The ID of the project.service_account_id(in path, required, string) - The ID of the service account.
Responses
200 - Project service account updated successfully.
Content-Type: application/json
Example:
{
"created_at" : 1711471533,
"id" : "svc_acct_abc",
"name" : "Service Account",
"object" : "organization.project.service_account",
"role" : "owner"
}
SCHEMAS
ProjectServiceAccount
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) of when the service account was createdid(string, required) - The identifier, which can be referenced in API endpointsname(string, required) - The name of the service accountobject(string, required) - The object type, which is alwaysorganization.project.service_accountAllowed values: organization.project.service_account
role(string, required) -ownerormemberAllowed values: owner, member
ProjectServiceAccountDeleteResponse
Properties:
deleted(boolean, required)id(string, required)object(string, required)Allowed values: organization.project.service_account.deleted
UpdateProjectServiceAccountBody
Properties:
name(string) - The updated service account name.role(string) - The updated service account role.Allowed values: member, owner
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.